<?php
require(__DIR__.'/init.php');
header('Content-Type: text/javascript; charset=utf8');
// create a client instance
$client = new Solarium\Client($config);

// get a select query instance
$query = $client->createSelect();

// get the dismax component and set a boost query
$edismax = $query->getEDisMax();
$edismax->setQueryFields('_suggest_ _suggest_phrase_^2');
$edismax->setMinimumMatch('100%');
// this query is now a dismax query
$query->setQuery($_GET["q"]."*");

// this executes the query and returns the result
$resultset = $client->select($query);

$out = array();
foreach ($resultset as $document) {
    $out[]=array('value'=>$document['title']);
}

echo json_encode($out);
