<?php
require(__DIR__.'/init.php');
header('Content-Type: text/javascript; charset=utf8');
//htmlHeader();
// create a client instance
$client = new Solarium\Client($config);
// get a suggester query instance
$query = $client->createSuggester();
$query->setQuery($_GET["q"]); //multiple terms
$query->setDictionary('suggest');
$query->setOnlyMorePopular(false);
$query->setCount(30);
$query->setCollate(true);

// this executes the query and returns the result
$resultset = $client->suggester($query);

//echo '<b>Query:</b> '.$query->getQuery().'<hr/>';
//echo '<b>Query string:</b> '.print_r($query).'<hr/>';

// display results for each term
$out = array();
foreach ($resultset as $term => $termResult) {
    //echo '<h3>' . $term . '</h3>';
    //echo 'NumFound: '.$termResult->getNumFound().'<br/>';
    //echo 'StartOffset: '.$termResult->getStartOffset().'<br/>';
    //echo 'EndOffset: '.$termResult->getEndOffset().'<br/>';
    //echo 'Suggestions:<br/>';
    foreach ($termResult as $result) {
        //echo '- '.$result.'<b ccr/>';
        $out[]=array('value'=>$result);
    }
    //echo '<hr/>';
}
echo json_encode($out);
// display collation
//echo 'Collation: '.$resultset->getCollation();
//htmlFooter();
